Returns the full catalog of ad units (creative sizes).
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/adunit/list.do
Returns the full catalog of ad units (creative sizes). Each ad unit in the response contains id, width, height, name, and whether it is a custom size. Requires authentication (hash+timestamp+username query params or an active session).
Responses
200
JSON array of ad unit objects, e.g. [{id, height, width, name, custom}, ...]
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/adunit/list.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());